#    Copyright 2014-2020 Chris Caron <lead2gold@gmail.com>
#
#    This is free software: you can redistribute it and/or modify it under the
#    terms of the GNU General Public License as published by the Free Software
#    Foundation, either version 3 of the License, or (at your option) any later
#    version.
#
#    This file is distributed in the hope that it will be useful, but WITHOUT
#    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
#    more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this file. If not, see http://www.gnu.org/licenses/.
###############################################################################
#
# Visit: http://nuxref.com
%global         pkgname sabyenc3

Name:           python3-sabyenc
Version:        4.0.2
Release:        1%{?dist}.nuxref
Summary:        Fork of original yenc module for use within SABnzbd
Group:          Development/Languages
License:        LGPLv3
URL:            https://github.com/sabnzbd/sabyenc
Source0:        https://files.pythonhosted.org/packages/66/4c/a8bc62273142b31de0e86b6312c81f30531785b5d72e9b6be595c9f632d4/sabyenc3-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  gcc

%description
A modified the original yenc module by Alessandro Duca for use within SABnzbd.

The module was extended to do header parsing and full yEnc decoding from a
Python list of chunks, the way in which data is retrieved from usenet.

%prep
%setup -q -n %{pkgname}-%{version}
# Clean out old egg content
%{__rm} -rf %{pkgname}.egg-info

%build
CFLAGS="%{optflags}" %py3_build

%install
%py3_install

%files
%defattr(-,root,root,-)
%doc PKG-INFO
%{python3_sitearch}/*.so
%{python3_sitearch}/*.egg-info

%changelog
* Thu Sep  3 2020 Chris Caron <lead2gold@gmail.com> - 4.0.2-1
- updated to v4.0.2
- rebuilt for Fedora 31+; and CentOS 8 - Python 3 based

* Sat May 11 2019 Chris Caron <lead2gold@gmail.com> - 3.3.5-2
- rebuilt for Fedora 29

* Sun May  6 2018 Chris Caron <lead2gold@gmail.com> - 3.3.5-1
- updated to v3.3.5

* Fri Dec 22 2017 Chris Caron <lead2gold@gmail.com> - 3.3.2-1
- updated to v3.3.2

* Thu Sep 21 2017 Chris Caron <lead2gold@gmail.com> - 3.3.1-1
- updated to v3.3.1

* Thu Apr  6 2017 Chris Caron <lead2gold@gmail.com> - 3.0.2-1
- updated to v3.0.2

* Wed Mar 29 2017 Chris Caron <lead2gold@gmail.com> - 2.8.0-1
- updated to v2.8.0

* Mon Mar 13 2017 Chris Caron <lead2gold@gmail.com> - 2.7.0-1
- Initial Version

